---
lang: en
title: 'API docs: testlab.stubserverresponse'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/testlab
permalink: /doc/en/lb4/apidocs.testlab.stubserverresponse.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [stubServerResponse](./testlab.stubserverresponse.md)

## stubServerResponse() function

<b>Signature:</b>

```typescript
export declare function stubServerResponse(request: IncomingMessage, onEnd: ShotCallback): ServerResponse;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  request | IncomingMessage |  |
|  onEnd | [ShotCallback](./testlab.shotcallback.md) |  |

<b>Returns:</b>

ServerResponse


